# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.authn.oauthproxy
Class OAuthProxyRequest

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.String>
              com.google.gdata.client.authn.oauthproxy.OAuthProxyRequest

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.String>

    public class OAuthProxyRequest

extends java.util.HashMap<java.lang.String,java.lang.String>

Stores the variables related to an OAuth Proxy request.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`static java.lang.String` `DEFAULT_ACCESS_TOKEN_URL`
`static java.lang.String` `DEFAULT_AUTHORIZATION_URL`
`static java.lang.String` `DEFAULT_REQUEST_TOKEN_URL`
`static java.lang.String` `DEFAULT_SERVICE_NAME`
`static java.lang.String` `DEFAULT_USE_TOKEN`

Constructor Summary
`OAuthProxyRequest()`

Method Summary
`java.lang.String` `getAcessTokenUrl()` Retrieves the value of the access token url.
`java.lang.String` `getAuthorizationUrl()` Retrieves the value of the authorization url.
`java.lang.String` `getDesiredCallbackUrl()` Retrieves the value of the desired callback url.
`java.lang.String` `getReceivedCallbackUrl()` Retrieves the value of the received callback url.
`java.lang.String` `getRequestTokenUrl()` Retrieves the value of the request token url.
`java.lang.String` `getScope()` Retrieves the scope of the request.
`java.lang.String` `getServiceName()` Retrieves the service name.
`java.lang.String` `getState()` Retrieves the OAuth State.
`java.lang.String` `getTokenName()` Retrieves the token name.
`java.lang.String` `getUseToken()` Retrieves the "use token" parameter.
`void` `setAccessTokenUrl(java.lang.String value)` Sets the value of the access token url.
`void` `setAuthorizationUrl(java.lang.String value)` Sets the value of the authorization url.
`void` `setDesiredCallbackUrl(java.lang.String value)` Sets the value of the desired callback url.
`void` `setReceivedCallbackUrl(java.lang.String value)` Sets the value of the received callback url.
`void` `setRequestTokenUrl(java.lang.String value)` Sets the value of the request token url.
`void` `setScope(java.lang.String value)` Sets the scope of the request.
`void` `setServiceName(java.lang.String value)` Sets the service name.
`void` `setState(java.lang.String value)` Sets the OAuth State.
`void` `setTokenName(java.lang.String value)` Sets the token name.
`void` `setUseToken(java.lang.String value)` Sets the "use token" parameter.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### DEFAULT_ACCESS_TOKEN_URL

    public static final java.lang.String DEFAULT_ACCESS_TOKEN_URL

See Also:
  Constant Field Values

### DEFAULT_AUTHORIZATION_URL

    public static final java.lang.String DEFAULT_AUTHORIZATION_URL

See Also:
  Constant Field Values

### DEFAULT_REQUEST_TOKEN_URL

    public static final java.lang.String DEFAULT_REQUEST_TOKEN_URL

See Also:
  Constant Field Values

### DEFAULT_SERVICE_NAME

    public static final java.lang.String DEFAULT_SERVICE_NAME

See Also:
  Constant Field Values

### DEFAULT_USE_TOKEN

    public static final java.lang.String DEFAULT_USE_TOKEN

See Also:
  Constant Field Values

Constructor Detail

### OAuthProxyRequest

    public OAuthProxyRequest()

Method Detail

### getAcessTokenUrl

    public java.lang.String getAcessTokenUrl()

  Retrieves the value of the access token url. The default value is "https://www.google.com/accounts/OAuthGetAccessToken".

### setAccessTokenUrl

    public void setAccessTokenUrl(java.lang.String value)

  Sets the value of the access token url.

### getAuthorizationUrl

    public java.lang.String getAuthorizationUrl()

  Retrieves the value of the authorization url. The default value is "https://www.google.com/accounts/OAuthAuthorizeToken".

### setAuthorizationUrl

    public void setAuthorizationUrl(java.lang.String value)

  Sets the value of the authorization url.

### getDesiredCallbackUrl

    public java.lang.String getDesiredCallbackUrl()

  Retrieves the value of the desired callback url.

### setDesiredCallbackUrl

    public void setDesiredCallbackUrl(java.lang.String value)

  Sets the value of the desired callback url.

### getReceivedCallbackUrl

    public java.lang.String getReceivedCallbackUrl()

  Retrieves the value of the received callback url.

### setReceivedCallbackUrl

    public void setReceivedCallbackUrl(java.lang.String value)

  Sets the value of the received callback url.

### getRequestTokenUrl

    public java.lang.String getRequestTokenUrl()

  Retrieves the value of the request token url. The returned value will include the scope set in `setScope(String)`.

### setRequestTokenUrl

    public void setRequestTokenUrl(java.lang.String value)

  Sets the value of the request token url. The value will include the scope set in `setScope(String)`.

### getScope

    public java.lang.String getScope()

  Retrieves the scope of the request.

### setScope

    public void setScope(java.lang.String value)

  Sets the scope of the request. This value will also be appended to the request token url as the "scope" parameter.

### getServiceName

    public java.lang.String getServiceName()

  Retrieves the service name. Default value is "google".

### setServiceName

    public void setServiceName(java.lang.String value)

  Sets the service name.

### getState

    public java.lang.String getState()

  Retrieves the OAuth State.

### setState

    public void setState(java.lang.String value)

  Sets the OAuth State.

### getTokenName

    public java.lang.String getTokenName()

  Retrieves the token name.

### setTokenName

    public void setTokenName(java.lang.String value)

  Sets the token name.

### getUseToken

    public java.lang.String getUseToken()

  Retrieves the "use token" parameter. The default value is "always".

### setUseToken

    public void setUseToken(java.lang.String value)

  Sets the "use token" parameter.